org.apache.ignite.internal.cluster

## Class ClusterStartNodeResultImpl

- java.lang.Object
- - org.apache.ignite.internal.cluster.ClusterStartNodeResultImpl

All Implemented Interfaces:
  ClusterStartNodeResult

    public class ClusterStartNodeResultImpl
    extends Object
    implements ClusterStartNodeResult

Implementation for cluster start node result.

### Constructor Summary

Constructors
Constructor and Description
`ClusterStartNodeResultImpl(String hostName, boolean success, String error)`

### Method Summary

Methods
`String` `getError()` Gets error message if any.
`String` `getHostName()` Gets host name.
`boolean` `isSuccess()` Gets result of success or failure.
`void` `setError(String error)` Sets error message.
`void` `setHostName(String hostName)` Sets host name.
`void` `setSuccess(boolean success)` Sets success result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterStartNodeResultImpl

    public ClusterStartNodeResultImpl(String hostName,
                              boolean success,
                              String error)

Parameters:
  `hostName` - Host name.
  `success` - Success or not.
  `error` - Error message.

### Method Detail

#### getHostName

    public String getHostName()

Gets host name.

Specified by:
  `getHostName` in interface `ClusterStartNodeResult`
Returns:
  Host name.

#### setHostName

    public void setHostName(String hostName)

Sets host name.

Parameters:
  `hostName` - Host name.

#### isSuccess

    public boolean isSuccess()

Gets result of success or failure.

Specified by:
  `isSuccess` in interface `ClusterStartNodeResult`
Returns:
  Success or failure. `True` if success.

#### setSuccess

    public void setSuccess(boolean success)

Sets success result.

Parameters:
  `success` - Success result.

#### getError

    public String getError()

Gets error message if any.

Specified by:
  `getError` in interface `ClusterStartNodeResult`
Returns:
  Error massage.

#### setError

    public void setError(String error)

Sets error message.

Parameters:
  `error` - Error message.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015